/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateNodeInput } from "../types/CreateNodeInput";
import { CreateNodeOutput } from "../types/CreateNodeOutput";
import { ManagedBlockchainResolvedConfiguration } from "../ManagedBlockchainConfiguration";
export * from "../types/CreateNodeInput";
export * from "../types/CreateNodeOutput";
export * from "../types/CreateNodeExceptionsUnion";
export declare class CreateNodeCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateNodeInput, OutputTypesUnion, CreateNodeOutput, ManagedBlockchainResolvedConfiguration, _stream.Readable> {
    readonly input: CreateNodeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateNodeInput, CreateNodeOutput, _stream.Readable>;
    constructor(input: CreateNodeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ManagedBlockchainResolvedConfiguration): __aws_sdk_types.Handler<CreateNodeInput, CreateNodeOutput>;
}
