/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetProposalInput } from "../types/GetProposalInput";
import { GetProposalOutput } from "../types/GetProposalOutput";
import { ManagedBlockchainResolvedConfiguration } from "../ManagedBlockchainConfiguration";
export * from "../types/GetProposalInput";
export * from "../types/GetProposalOutput";
export * from "../types/GetProposalExceptionsUnion";
export declare class GetProposalCommand implements __aws_sdk_types.Command<InputTypesUnion, GetProposalInput, OutputTypesUnion, GetProposalOutput, ManagedBlockchainResolvedConfiguration, _stream.Readable> {
    readonly input: GetProposalInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetProposalInput, GetProposalOutput, _stream.Readable>;
    constructor(input: GetProposalInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ManagedBlockchainResolvedConfiguration): __aws_sdk_types.Handler<GetProposalInput, GetProposalOutput>;
}
