/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListMembersInput } from "../types/ListMembersInput";
import { ListMembersOutput } from "../types/ListMembersOutput";
import { ManagedBlockchainResolvedConfiguration } from "../ManagedBlockchainConfiguration";
export * from "../types/ListMembersInput";
export * from "../types/ListMembersOutput";
export * from "../types/ListMembersExceptionsUnion";
export declare class ListMembersCommand implements __aws_sdk_types.Command<InputTypesUnion, ListMembersInput, OutputTypesUnion, ListMembersOutput, ManagedBlockchainResolvedConfiguration, _stream.Readable> {
    readonly input: ListMembersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListMembersInput, ListMembersOutput, _stream.Readable>;
    constructor(input: ListMembersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ManagedBlockchainResolvedConfiguration): __aws_sdk_types.Handler<ListMembersInput, ListMembersOutput>;
}
