"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListProposalVotes_1 = require("../model/operations/ListProposalVotes");
var ListProposalVotesCommand = /** @class */ (function () {
    function ListProposalVotesCommand(input) {
        this.input = input;
        this.model = ListProposalVotes_1.ListProposalVotes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListProposalVotesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListProposalVotesCommand;
}());
exports.ListProposalVotesCommand = ListProposalVotesCommand;
//# sourceMappingURL=ListProposalVotesCommand.js.map