"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _NetworkFrameworkConfiguration_1 = require("./_NetworkFrameworkConfiguration");
var _VotingPolicy_1 = require("./_VotingPolicy");
var _MemberConfiguration_1 = require("./_MemberConfiguration");
exports.CreateNetworkInput = {
    type: "structure",
    required: [
        "ClientRequestToken",
        "Name",
        "Framework",
        "FrameworkVersion",
        "VotingPolicy",
        "MemberConfiguration"
    ],
    members: {
        ClientRequestToken: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        Framework: {
            shape: {
                type: "string"
            }
        },
        FrameworkVersion: {
            shape: {
                type: "string",
                min: 1
            }
        },
        FrameworkConfiguration: {
            shape: _NetworkFrameworkConfiguration_1._NetworkFrameworkConfiguration
        },
        VotingPolicy: {
            shape: _VotingPolicy_1._VotingPolicy
        },
        MemberConfiguration: {
            shape: _MemberConfiguration_1._MemberConfiguration
        }
    }
};
//# sourceMappingURL=CreateNetworkInput.js.map