"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _NodeConfiguration_1 = require("./_NodeConfiguration");
exports.CreateNodeInput = {
    type: "structure",
    required: [
        "ClientRequestToken",
        "NetworkId",
        "MemberId",
        "NodeConfiguration"
    ],
    members: {
        ClientRequestToken: {
            shape: {
                type: "string",
                min: 1
            }
        },
        NetworkId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "networkId"
        },
        MemberId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "memberId"
        },
        NodeConfiguration: {
            shape: _NodeConfiguration_1._NodeConfiguration
        }
    }
};
//# sourceMappingURL=CreateNodeInput.js.map