"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListNodesInput = {
    type: "structure",
    required: ["NetworkId", "MemberId"],
    members: {
        NetworkId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "networkId"
        },
        MemberId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "memberId"
        },
        Status: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "status"
        },
        MaxResults: {
            shape: {
                type: "integer",
                min: 1
            },
            location: "querystring",
            locationName: "maxResults"
        },
        NextToken: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "nextToken"
        }
    }
};
//# sourceMappingURL=ListNodesInput.js.map