"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MemberFrameworkAttributes_1 = require("./_MemberFrameworkAttributes");
exports._Member = {
    type: "structure",
    required: [],
    members: {
        NetworkId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Id: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        FrameworkAttributes: {
            shape: _MemberFrameworkAttributes_1._MemberFrameworkAttributes
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        CreationDate: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        }
    }
};
//# sourceMappingURL=_Member.js.map