"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _NetworkFrameworkAttributes_1 = require("./_NetworkFrameworkAttributes");
var _VotingPolicy_1 = require("./_VotingPolicy");
exports._Network = {
    type: "structure",
    required: [],
    members: {
        Id: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        Framework: {
            shape: {
                type: "string"
            }
        },
        FrameworkVersion: {
            shape: {
                type: "string",
                min: 1
            }
        },
        FrameworkAttributes: {
            shape: _NetworkFrameworkAttributes_1._NetworkFrameworkAttributes
        },
        VpcEndpointServiceName: {
            shape: {
                type: "string"
            }
        },
        VotingPolicy: {
            shape: _VotingPolicy_1._VotingPolicy
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        CreationDate: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        }
    }
};
//# sourceMappingURL=_Network.js.map