"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _NodeFrameworkAttributes_1 = require("./_NodeFrameworkAttributes");
exports._Node = {
    type: "structure",
    required: [],
    members: {
        NetworkId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        MemberId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Id: {
            shape: {
                type: "string",
                min: 1
            }
        },
        InstanceType: {
            shape: {
                type: "string"
            }
        },
        AvailabilityZone: {
            shape: {
                type: "string"
            }
        },
        FrameworkAttributes: {
            shape: _NodeFrameworkAttributes_1._NodeFrameworkAttributes
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        CreationDate: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        }
    }
};
//# sourceMappingURL=_Node.js.map