"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._NodeSummary = {
    type: "structure",
    required: [],
    members: {
        Id: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        CreationDate: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        },
        AvailabilityZone: {
            shape: {
                type: "string"
            }
        },
        InstanceType: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_NodeSummary.js.map