/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListProposalsInput } from "../types/ListProposalsInput";
import { ListProposalsOutput } from "../types/ListProposalsOutput";
import { ManagedBlockchainResolvedConfiguration } from "../ManagedBlockchainConfiguration";
export * from "../types/ListProposalsInput";
export * from "../types/ListProposalsOutput";
export * from "../types/ListProposalsExceptionsUnion";
export declare class ListProposalsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListProposalsInput, OutputTypesUnion, ListProposalsOutput, ManagedBlockchainResolvedConfiguration, _stream.Readable> {
    readonly input: ListProposalsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListProposalsInput, ListProposalsOutput, _stream.Readable>;
    constructor(input: ListProposalsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ManagedBlockchainResolvedConfiguration): __aws_sdk_types.Handler<ListProposalsInput, ListProposalsOutput>;
}
