/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RejectInvitationInput } from "../types/RejectInvitationInput";
import { RejectInvitationOutput } from "../types/RejectInvitationOutput";
import { ManagedBlockchainResolvedConfiguration } from "../ManagedBlockchainConfiguration";
export * from "../types/RejectInvitationInput";
export * from "../types/RejectInvitationOutput";
export * from "../types/RejectInvitationExceptionsUnion";
export declare class RejectInvitationCommand implements __aws_sdk_types.Command<InputTypesUnion, RejectInvitationInput, OutputTypesUnion, RejectInvitationOutput, ManagedBlockchainResolvedConfiguration, _stream.Readable> {
    readonly input: RejectInvitationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RejectInvitationInput, RejectInvitationOutput, _stream.Readable>;
    constructor(input: RejectInvitationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ManagedBlockchainResolvedConfiguration): __aws_sdk_types.Handler<RejectInvitationInput, RejectInvitationOutput>;
}
