"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RejectInvitation_1 = require("../model/operations/RejectInvitation");
var RejectInvitationCommand = /** @class */ (function () {
    function RejectInvitationCommand(input) {
        this.input = input;
        this.model = RejectInvitation_1.RejectInvitation;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RejectInvitationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RejectInvitationCommand;
}());
exports.RejectInvitationCommand = RejectInvitationCommand;
//# sourceMappingURL=RejectInvitationCommand.js.map