"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _NetworkSummary_1 = require("./_NetworkSummary");
exports._Invitation = {
    type: "structure",
    required: [],
    members: {
        InvitationId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        CreationDate: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        },
        ExpirationDate: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        NetworkSummary: {
            shape: _NetworkSummary_1._NetworkSummary
        }
    }
};
//# sourceMappingURL=_Invitation.js.map